Package com.norconex.commons.lang.bean.jackson

# Class EmptyWithClosingTagXmlFactory

java.lang.Object
tools.jackson.core.TokenStreamFactory
tools.jackson.core.base.DecorableTSFactory
tools.jackson.core.base.TextualTSFactory
tools.jackson.dataformat.xml.XmlFactory
com.norconex.commons.lang.bean.jackson.EmptyWithClosingTagXmlFactory

All Implemented Interfaces:
  `Serializable`, `tools.jackson.core.util.Snapshottable<tools.jackson.core.TokenStreamFactory>`, `tools.jackson.core.Versioned`

public class EmptyWithClosingTagXmlFactory extends tools.jackson.dataformat.xml.XmlFactory
Version of `XmlFactory` that configures a `XmlPrettyPrinter` to write "empty" objects with a closing tag instead of self-closing. Self-closing elements (`<e/>`) are treated as `null` and a pair of tags with no content (`<e></e>`) is treated as empty.

Since:
  3.0.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.core.base.DecorableTSFactory

  `tools.jackson.core.base.DecorableTSFactory.DecorableTSFBuilder<F extends tools.jackson.core.TokenStreamFactory,T extends tools.jackson.core.TSFBuilder<F,T>>`

  ## Nested classes/interfaces inherited from class tools.jackson.core.TokenStreamFactory

  `tools.jackson.core.TokenStreamFactory.Feature`

- ## Field Summary

  ### Fields inherited from class tools.jackson.dataformat.xml.XmlFactory

  `_cfgNameForTextElement, _jdkXmlInFactory, _jdkXmlOutFactory, _nameProcessor, _xmlInputFactory, _xmlOutputFactory, DEFAULT_XML_READ_FEATURE_FLAGS, DEFAULT_XML_WRITE_FEATURE_FLAGS, FORMAT_NAME_XML`

  ### Fields inherited from class tools.jackson.core.base.DecorableTSFactory

  `_generatorDecorators, _inputDecorator, _outputDecorator`

  ### Fields inherited from class tools.jackson.core.TokenStreamFactory

  `_errorReportConfiguration, _factoryFeatures, _formatReadFeatures, _formatWriteFeatures, _recyclerPool, _streamReadConstraints, _streamReadFeatures, _streamWriteConstraints, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_STREAM_READ_FEATURE_FLAGS, DEFAULT_STREAM_WRITE_FEATURE_FLAGS, EMPTY_WRITE_CONTEXT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `EmptyWithClosingTagXmlFactory()`
  `protected`
  `EmptyWithClosingTagXmlFactory(EmptyWithClosingTagXmlFactory src)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected tools.jackson.dataformat.xml.ser.ToXmlGenerator`
  `_toXmlGenerator(tools.jackson.core.ObjectWriteContext writeCtxt, tools.jackson.core.io.IOContext ioCtxt, XMLStreamWriter sw)`
  `tools.jackson.dataformat.xml.XmlFactory`
  `copy()`

  ### Methods inherited from class tools.jackson.dataformat.xml.XmlFactory

  `_createGenerator, _createParser, _createParser, _createParser, _createParser, _createParser, _createUTF8Generator, _createXmlWriter, _createXmlWriter, _fromXmlParser, _initFactories, _initializeXmlReader, _initializeXmlWriter, builder, builderWithJackson2Defaults, canParseAsync, canUseCharArrays, canUseSchema, createGenerator, createParser, createParser, getFormatName, getFormatReadFeatures, getFormatReadFeatureType, getFormatWriteFeatures, getFormatWriteFeatureType, getXMLInputFactory, getXMLOutputFactory, getXMLTextElementName, readResolve, rebuild, snapshot, version, withNameForTextElement`

  ### Methods inherited from class tools.jackson.core.base.TextualTSFactory

  `_createContentReference, _createContentReference, _createWriter, canHandleBinaryNatively, createGenerator, createGenerator, createGenerator, createGenerator, createParser, createParser, createParser, createParser, createParser, createParser, createParser`

  ### Methods inherited from class tools.jackson.core.base.DecorableTSFactory

  `_copy, _decorate, _decorate, _decorate, _decorate, _decorate, _decorate, getGeneratorDecorators, getInputDecorator, getOutputDecorator`

  ### Methods inherited from class tools.jackson.core.TokenStreamFactory

  `_checkRangeBoundsForByteArray, _checkRangeBoundsForCharArray, _createContext, _createContext, _createDataOutputWrapper, _fileInputStream, _fileOutputStream, _getBufferRecycler, _getRecyclerPool, _optimizedStreamFromURL, _pathInputStream, _pathOutputStream, _reportRangeError, _unsupported, _unsupported, _wrapIOFailure, constructCINameMatcher, constructNameMatcher, createGenerator, createGenerator, createGenerator, createGenerator, createGenerator, createNonBlockingByteArrayParser, createNonBlockingByteBufferParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, errorReportConfiguration, getFactoryFeatures, getStreamReadFeatures, getStreamWriteFeatures, isEnabled, isEnabled, isEnabled, requiresPropertyOrdering, streamReadConstraints, streamWriteConstraints`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyWithClosingTagXmlFactory

    public EmptyWithClosingTagXmlFactory()

  - ### EmptyWithClosingTagXmlFactory

    protected EmptyWithClosingTagXmlFactory(EmptyWithClosingTagXmlFactory src)

- ## Method Details

  - ### copy

    public tools.jackson.dataformat.xml.XmlFactory copy()
    Overrides:
      `copy` in class `tools.jackson.dataformat.xml.XmlFactory`

  - ### _toXmlGenerator

    protected tools.jackson.dataformat.xml.ser.ToXmlGenerator _toXmlGenerator(tools.jackson.core.ObjectWriteContext writeCtxt, tools.jackson.core.io.IOContext ioCtxt, XMLStreamWriter sw)
    Overrides:
      `_toXmlGenerator` in class `tools.jackson.dataformat.xml.XmlFactory`